#include<bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    int n,m, x,y;
    long long int k;
    unsigned long long s=0;
    scanf("%d%d", &n, &m);
    long long int d[n];

    for(int i = 0; i<n; i++)
        scanf("%lli", d+i);

    for(int i = 0; i<m; i++)
    {
        scanf("%d%d", &x, &y);
        k=d[x-1]+d[y-1];

        if(k>0) s+=k;
        else s-=k;
    }
    printf("%llu", s);

    return 0;
}